Open Lighting Architecture: ola::client::ClientRDMAPIShim Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::client::ClientRDMAPIShim Class Reference

## Detailed Description

An implementation of RDMAPIImplInterface that uses the OlaClient.

Inheritance diagram for ola::client::ClientRDMAPIShim:

## Public Member Functions
| ClientRDMAPIShim (OlaClient *client)
bool | RDMGet (rdm_callback *callback, unsigned int universe, const ola::rdm::UID &uid, uint16_t sub_device, uint16_t pid, const uint8_t *data=NULL, unsigned int data_length=0)
bool | RDMGet (rdm_pid_callback *callback, unsigned int universe, const ola::rdm::UID &uid, uint16_t sub_device, uint16_t pid, const uint8_t *data=NULL, unsigned int data_length=0)
bool | RDMSet (rdm_callback *callback, unsigned int universe, const ola::rdm::UID &uid, uint16_t sub_device, uint16_t pid, const uint8_t *data=NULL, unsigned int data_length=0)

## Additional Inherited Members
Public Types inherited from ola::rdm::RDMAPIImplInterface
typedef ola::SingleUseCallback2< void, const ResponseStatus &, const std::string & > | rdm_callback
typedef ola::SingleUseCallback3< void, const ResponseStatus &, uint16_t, const std::string & > | rdm_pid_callback

## Member Function Documentation

## ◆ RDMGet() [1/2]

bool ola::client::ClientRDMAPIShim::RDMGet | ( | rdm_callback * | callback,
|  | unsigned int | universe,
|  | const ola::rdm::UID & | uid,
|  | uint16_t | sub_device,
|  | uint16_t | pid,
|  | const uint8_t * | data = NULL,
|  | unsigned int | data_length = 0 )
| virtual

Implements ola::rdm::RDMAPIImplInterface.

## ◆ RDMGet() [2/2]

bool ola::client::ClientRDMAPIShim::RDMGet | ( | rdm_pid_callback * | callback,
|  | unsigned int | universe,
|  | const ola::rdm::UID & | uid,
|  | uint16_t | sub_device,
|  | uint16_t | pid,
|  | const uint8_t * | data = NULL,
|  | unsigned int | data_length = 0 )
| virtual

Implements ola::rdm::RDMAPIImplInterface.

## ◆ RDMSet()

bool ola::client::ClientRDMAPIShim::RDMSet | ( | rdm_callback * | callback,
|  | unsigned int | universe,
|  | const ola::rdm::UID & | uid,
|  | uint16_t | sub_device,
|  | uint16_t | pid,
|  | const uint8_t * | data = NULL,
|  | unsigned int | data_length = 0 )
| virtual

Implements ola::rdm::RDMAPIImplInterface.

The documentation for this class was generated from the following files:

- include/ola/client/ClientRDMAPIShim.h
- ola/ClientRDMAPIShim.cpp